Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RData Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
void(* | dmark )(void *)
void(* | dfree )(void *)
void * | data

## Detailed Description

Definition at line 951 of file ripper.y.

## Field Documentation

struct RBasic RData::basic

Definition at line 952 of file ripper.y.

void * RData::data

Definition at line 955 of file ripper.y.

Referenced by make_io_deferred().

void(* RData::dfree)(void *)

Definition at line 954 of file ripper.y.

Referenced by make_io_deferred().

void(* RData::dmark)(void *)

Definition at line 953 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h